#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hOpenPGP
version:              2.9.5
visibility:           public
id:                   hOpenPGP-2.9.5-85dzJSJ3xgRHHHoPMFvoWZ
key:                  hOpenPGP-2.9.5-85dzJSJ3xgRHHHoPMFvoWZ
license:              MIT
copyright:            2012-2020  Clint Adams
maintainer:           Clint Adams <clint@debian.org>
author:               Clint Adams
homepage:             https://salsa.debian.org/clint/hOpenPGP
synopsis:             native Haskell implementation of OpenPGP (RFC4880)
description:
    native Haskell implementation of OpenPGP (RFC4880), plus Camellia (RFC5581), plus ECC (RFC6637)

category:             Codec, Data
abi:                  a31935938797d46c38bcd7bf7cd683b5
exposed:              True
exposed-modules:
    Codec.Encryption.OpenPGP.CFB Codec.Encryption.OpenPGP.Compression
    Codec.Encryption.OpenPGP.Expirations
    Codec.Encryption.OpenPGP.Fingerprint
    Codec.Encryption.OpenPGP.KeyInfo
    Codec.Encryption.OpenPGP.KeySelection
    Codec.Encryption.OpenPGP.KeyringParser
    Codec.Encryption.OpenPGP.Ontology Codec.Encryption.OpenPGP.S2K
    Codec.Encryption.OpenPGP.SecretKey
    Codec.Encryption.OpenPGP.Serialize
    Codec.Encryption.OpenPGP.SignatureQualities
    Codec.Encryption.OpenPGP.Signatures Codec.Encryption.OpenPGP.Types
    Data.Conduit.OpenPGP.Compression Data.Conduit.OpenPGP.Decrypt
    Data.Conduit.OpenPGP.Filter Data.Conduit.OpenPGP.Keyring
    Data.Conduit.OpenPGP.Keyring.Instances Data.Conduit.OpenPGP.Verify

hidden-modules:
    Codec.Encryption.OpenPGP.Internal
    Codec.Encryption.OpenPGP.Internal.CryptoCipherTypes
    Codec.Encryption.OpenPGP.Internal.Cryptonite
    Codec.Encryption.OpenPGP.Internal.HOBlockCipher
    Codec.Encryption.OpenPGP.SerializeForSigs
    Codec.Encryption.OpenPGP.Types.Internal.Base
    Codec.Encryption.OpenPGP.Types.Internal.CryptoniteNewtypes
    Codec.Encryption.OpenPGP.Types.Internal.PacketClass
    Codec.Encryption.OpenPGP.Types.Internal.PKITypes
    Codec.Encryption.OpenPGP.Types.Internal.Pkt
    Codec.Encryption.OpenPGP.Types.Internal.PrettyUtils
    Codec.Encryption.OpenPGP.Types.Internal.TK
    Codec.Encryption.OpenPGP.BlockCipher

import-dirs:          /usr/lib/ghc-8.10.2/site-local/hOpenPGP-2.9.5
library-dirs:         /usr/lib/ghc-8.10.2/site-local/hOpenPGP-2.9.5
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.2/hOpenPGP-2.9.5
hs-libraries:         HShOpenPGP-2.9.5-85dzJSJ3xgRHHHoPMFvoWZ
depends:
    aeson-1.5.4.1-HHxNVsGOTbL8AG6pUAJ7vi
    asn1-encoding-0.9.6-KGyFsl9aQpT9zu9zJRONir
    attoparsec-0.13.2.4-AGM9XHUM7l6LiWJJPxx7On base-4.14.1.0
    base16-bytestring-1.0.0.0-1foOGGYyou12EZHn9Fgvx6
    bifunctors-5.5.8-3WNsEDcceNQBRXk96rB9zN binary-0.8.8.0
    binary-conduit-1.3.1-CMbV15SFYcK8IBXNnZHGiE bytestring-0.10.10.0
    bz2-1.0.1.0-BTwWVEe3GVDLL2BOrcHI03
    conduit-1.3.4-BfHwXOiS24gCoyTcJzzpmX
    conduit-extra-1.3.5-3EQpqOEOe74IAgHoGJhYgJ containers-0.6.2.1
    crypto-cipher-types-0.0.9-4lLcbiqzzgFJfDDaicapOR
    cryptonite-0.27-D1OBiX8ukraIrjUq046BE0
    errors-2.3.0-2LgaK8Zc9K66pZHBMy7LAa
    hashable-1.3.0.0-64AyhGQ2yLm2m4iaj2rNmL
    incremental-parser-0.5-51yVsXeGkSIDViyHAGmbCe
    ixset-typed-0.5-KbhEDU9UJolAFPHJVn720F
    lens-4.19.2-BXTIzFWMinhF9XKS7GTojz
    memory-0.15.0-359cYXe7lRF64CAN0G53fp
    monad-loops-0.4.3-C0LVokhtCoUF1FVS5cJB0Q
    nettle-0.3.0-9hTjugt98GwIOGeydKnTvB
    network-uri-2.6.3.0-3GlhfpmNC1PHNoaa9U3vrM
    openpgp-asciiarmor-0.1.2-Hl4uPoiUrTl8eemUSkHhDn
    prettyprinter-1.7.0-2b4gGzk4DOiADVZZn0vv88
    resourcet-1.2.4.2-Ceq9IWbfkfwEW3Bwk9xcJo
    split-0.2.3.4-14afT0I5CXX1YX6O7Fqnb9 text-1.2.3.2 time-1.9.3
    time-locale-compat-0.1.1.5-75n5v6JklqyMdEmBwWBxO
    transformers-0.5.6.2 unliftio-core-0.2.0.1-9GVcmaajsglG88oErAZOTV
    unordered-containers-0.2.13.0-1fMD3PkUAk53GqTppiBvYp
    zlib-0.6.2.2-85jZF5E8OnCKweDgfCRJUx

haddock-interfaces:   /usr/share/doc/haskell-hopenpgp/html/hOpenPGP.haddock
haddock-html:         /usr/share/doc/haskell-hopenpgp/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

